/*-----------Linear Gradient--------*/

span.gred{
    background-image: linear-gradient(to right, #EB0029, #FF284D);
    color: #00000000;
    background-clip: text;
}




/*-----------qn----header------*/
.qn_menu .elementor-menu-toggle {
    padding: 0;
    background: #00000000;
}
.qn_menu nav.elementor-nav-menu__container.elementor-nav-menu--dropdown {
    right: -4px!important;
    left: auto!important;
    max-width: 300px;
}
.qn_menu nav.elementor-nav-menu__container.elementor-nav-menu--dropdown span.sub-arrow svg path {
    fill: #fff;
}

.qn_forms {
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.qn_forms .row {
    display: flex;
    flex-direction: row;
    gap: 30px;
}
.qn_forms .row .col-6 {
    width: 50%;
}
.qn_forms .row .col-12 {
    width: 100%;
}
.qn_forms .row  p {
    margin: 0;
}
.qn_forms .row p label {
    color: #fff;
    font-weight: 400;
    letter-spacing: 0.3px;
    font-size: 18px;
}
.qn_forms .row textarea, .qn_forms .row input[type="text"], .qn_forms .row input[type="email"], .qn_forms .row input[type="tel"], .qn_forms .row input[type="number"] {
    border: 1px solid #4A5461;
    background-color: #FFFFFF03;
    outline: none;
    font-size: 16px;
    line-height: 28px;
    letter-spacing: 0.3px;
    color: #9BA9BA;
    font-family: "Proxima Novo", Sans-serif;
    font-weight: 500;
    border-radius: 12px;
    padding: 20px 15px;
    transition: 0.3s ease-out;
}
.qn_forms .row textarea:focus,
.qn_forms .row input[type="text"]:focus, 
.qn_forms .row input[type="email"]:focus, 
.qn_forms .row input[type="tel"]:focus, 
.qn_forms .row input[type="number"]:focus {
    outline: none;
    border-color: #fff;
    transition: 0.3s ease-in;
    color: #fff;
    border-style: solid;
}
.qn_forms span.wpcf7-not-valid-tip {
    display: none;
}


.qn_forms .row input.wpcf7-not-valid{
    border-color: #ff0000;
}
.qn_footer_form .wpcf7-response-output {
    color: #fff;
    text-align: center;
}
.qn_forms .row textarea {
    max-height: 170px;
    height: 100%;
    min-height: 100%;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}
.qn_forms .row.submit_row p {
    display: flex;
    justify-content: center;
    align-items: center;
}
.qn_forms .row.submit_row input.qn_submit {
    background: linear-gradient(90deg, rgba(235,0,41,1) 50%, rgba(255,40,77,1) 100%);
    padding: 14px 46px;
    font-weight: 500;
    letter-spacing: 0.3px;
    font-size: 18px;
}
.qn_forms .row .qn_acceptance span.wpcf7-list-item {
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.qn_forms .row .qn_acceptance span.wpcf7-list-item label  {
    cursor: pointer;
    transition: 0.3s ease-in;
}


.qn_forms .row .qn_acceptance span.wpcf7-list-item label >span {
    cursor: pointer;
    transition: 0.3s ease-in;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}


.qn_forms .row .qn_acceptance span.wpcf7-list-item label:hover{
    opacity: 0.7;
    transition: 0.3s ease-out;
}
/* Hide the default checkbox */
.qn_forms .row .qn_acceptance span.wpcf7-list-item label input[type="checkbox"] {
    display: none;
}



/* Change icon when the checkbox is checked */
.qn_forms .row .qn_acceptance span.wpcf7-list-item label input[type="checkbox"] + ::before {
    content: "";
    width: 24px;
    height: 24px;
    
    border-radius: 4px;
    display: inline-flex;
    background-image: url("/wp-content/uploads/2024/12/charm_square-tick.svg");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

/* Change icon when the checkbox is checked */
.qn_forms .row .qn_acceptance span.wpcf7-list-item label input[type="checkbox"]:checked + ::before {

    background-image: url("/wp-content/uploads/2024/12/charm_square-untick.svg");
}


/*--home page------*/

.hide_show_container .hide_show_data {
    height: 0;
    opacity: 0;
    transition: 0.3s ease-out;
}
.hide_show_container:hover .hide_show_data {
    height: auto;
    opacity: 1;
    transition: 0.3s ease-out;
}
.qn_industry_icon_box_holder * {
    transition: 0.3s ease-in-out;
}
.qn_industry_icon_box_holder:hover .qn_industry_icon_box span {
    color: #fff;
}
.qn_industry_icon_box_holder:hover .qn_industry_icon_box span.elementor-icon path {
    stroke: #fff;
}


.qn_icon_button a.elementor-button span.elementor-button-content-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 26px;
}

.qn_icon_button a.elementor-button{
    transition: 0.3s ease all;
}



/*--------qn client-------*/
.z_client_slider img.swiper-slide-image {
    max-height: 60px;
    object-fit: contain;
    height: 100px;
    width: 200px;
    object-position: center;
}

.qn_banner_slider .swiper-pagination span.swiper-pagination-bullet {
    width: 40px;
    border-radius: 0;
    height: 4px;
}



.qn_forms.qn_forms_whitepapper .row textarea:focus, 
.qn_forms.qn_forms_whitepapper .row input[type="text"]:focus, 
.qn_forms.qn_forms_whitepapper .row input[type="email"]:focus, 
.qn_forms.qn_forms_whitepapper .row input[type="tel"]:focus, 
.qn_forms.qn_forms_whitepapper .row input[type="number"]:focus {
    outline: none;
    border-color: #000;
    transition: 0.3s ease-in;
    color: #000;
    border-style: solid;
}





/*-----------qn blog page--------------*/
.qn_blog_grid .e-loop-item {
    border-bottom: none!important;
    padding: 0!important;
}
.qn_blog_card .qn_blog_card_img_container .qn_blog_card_img_container_img img {
    transform: scale(1);
    transition: 0.3s ease all;
}
.qn_blog_card:hover .qn_blog_card_img_container .qn_blog_card_img_container_img img {
    transform: scale(1.1);
}



/*------------white-paper-form--------*/
.white_papper_form .qn_forms_whitepapper label {
    color: #000!important;
}
.hidden-file {
    display: none;
}
.white_papper_form .qn_forms_whitepapper .qn_acceptance span.wpcf7-list-item-label:before,
.white_papper_form .qn_forms_whitepapper .qn_acceptance span.wpcf7-list-item-label:after{
    width: 40px!important;
    height: 40px!important;
}



/*-------hardware----------*/
ul.hardware-categories {
    margin: 0;
    display: flex;
    justify-content: space-between;
    gap: 16px;
    max-width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    flex-wrap: nowrap;
    flex-direction: row;
    min-height: 64px;
    align-items: center;
}
ul.hardware-categories li {
    list-style: none;
    white-space: nowrap;
}
ul.hardware-categories li a {
    padding: 14px 32px;
    border: 1px solid #CDD4DE;
    border-radius: 12px;
    font-size: 20px;
    font-weight: 600;
    line-height: 1.4;
    color: #4A515A;
    transition: 0.3s ease-in-out;
}
ul.hardware-categories li a:hover,
ul.hardware-categories li.active a{
    background: #EB0029;
    color: #fff;
}